Package org.pushingpixels.flamingo.api.common.icon

# Interface ResizableIcon

All Superinterfaces:
  `Icon`

All Known Implementing Classes:
  `ArrowResizableIcon`, `ArrowResizableIcon.CommandButtonPopupIcon`, `DecoratedResizableIcon`, `DoubleArrowResizableIcon`, `EmptyResizableIcon`, `FilteredResizableIcon`, `IconDeckResizableIcon`, `IcoWrapperResizableIcon`, `ImageWrapperResizableIcon`, `LayeredIcon`, `ResizableIconUIResource`

public interface ResizableIcon extends Icon
Interface for icons that have resizability behaviour.

## Method Summary

Modifier and Type
Method
Description
`void`
`setDimension(Dimension newDimension)`
Changes the dimension of `this` icon.

### Methods inherited from interface javax.swing.Icon

`getIconHeight, getIconWidth, paintIcon`

## Method Details

### setDimension

void setDimension(Dimension newDimension)
Changes the dimension of `this` icon.

Parameters:
  `newDimension` - New dimension for `this` icon.